function [Inputs,bDs,Errors]=setOrthMesh(In,verbose,varargin)
  assert(iscell(In))
  d=In{1};
  N=In{2};
%  varargin
  p = inputParser;
%  p.KeepUnmatched=true; 
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.addParamValue('type', 'simplex', @(x) ismember(x,{'simplex','orthotope'}) );
  p.addParamValue('box', [zeros(d,1),ones(d,1)], @(x) (sum(size(x)==[d,2])==2) );
  p.addParamValue('m_min', 0, @(x) (x<=d) && (x>=0) );
  p.addParamValue('order', 1 );
  p.addParamValue('mapping', []);
  p.parse(varargin{:});
  R=p.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,'fprintf'); % Others are those of fc_hypermesh.OrthMesh constructor 
  Fprintf=R.fprintf;
  if verbose
    Fprintf('# fc_hypermesh.OrthMesh constructor with\n')
    Fprintf('#   d=%d \n',d)
    Fprintf('#   type=%s \n',R.type)
    Fprintf('#   order=%d \n',R.order)
    Fprintf('#   box=%s \n',strbox(R.box))
    Fprintf('#   m_min=%d \n',R.m_min)
    if isempty(R.mapping)
      Fprintf('#   mapping=[]\n')
    else
      Fprintf('#   mapping=%s\n',fc_tools.utils.fun2str(R.mapping))
    end
  end
  Errors={};
  bDs{1}=fc_bench.bdata('N',N,'%d',6); % first column in bench output
  bDs{2}=fc_bench.bdata('nq',@(Oh) Oh.Mesh.nq,'%d',10); % second column in bench output
  bDs{3}=fc_bench.bdata('nme',@(Oh) Oh.Mesh.nme,'%d',10); % third column in bench output
  Inputs={d,N,'type',R.type,'box',R.box,'m_min',R.m_min,'order',R.order,'mapping',R.mapping}; % are inputs of the fc_hypermesh.OrthMesh constructor
end


function s=strbox(box)
  s=sprintf('[%g,%g',box(1,1),box(1,2));
  for i=2:size(box,1)
    s=sprintf('%s; %g,%g',s,box(i,1),box(i,2));
  end
  s=sprintf('%s]',s);
end
