fprintf('--------------- %s\n',mfilename())
fprintf('3D surface meshing: mesh and partitioned mesh using ''MshFileVersion''=''2.2''\n')
fprintf('---------------\n')
geofile='sphere8surf.geo';
np=5; % number of partitions
fprintf('1. Building a mesh file by using :\n')
fprintf('   -> gmsh version %s\n',fc_oogmsh.gmsh.version())
fprintf('   -> geo file : %s\n',geofile);
meshfile=fc_oogmsh.gmsh.buildmesh3ds(geofile,10,'verbose',2,'force',true,'MshFileVersion','2.2');
fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
fprintf('2. Reading the mesh file\n')
Gh=fc_oogmsh.ooGmsh2(meshfile)
fprintf('3. Building partitioned mesh file\n')
fprintf('   -> number of partitions : %d\n',np);
pmfile=fc_oogmsh.gmsh.buildpartmesh3ds(meshfile,np,'verbose',2,'force',true,'MshFileVersion','2.2');
fprintf('   -> partitioned msh file : %s\n',fc_oogmsh.pathrep(pmfile));
fprintf('4. Reading the partitioned mesh file\n')
pGh=fc_oogmsh.ooGmsh2(pmfile)

if fc_oogmsh.isgraphics()
  Gh.plotPhysicalElements()
  Gh.plotElementaryElements()
  
  pGh.plotPhysicalElements()
  pGh.plotElementaryElements()
  pGh.plotPartitionElements()
  pGh.plotInterfaceElements()
end
