function inputfile=findMeshOrGeofile(inputfile,geodir,meshdir)
  if fc_tools.sys.isfileexists(inputfile),return;end
  [pathstr,name,ext] = fileparts(inputfile);
  if ~isempty(pathstr)
    if ~isempty(ext),error('file %s not found!',inputfile);end
    if fc_tools.sys.isfileexists([inputfile,'.geo'])
      inputfile=[inputfile,'.geo'];
      return
    end
    if fc_tools.sys.isfileexists([inputfile,'.msh'])
      inputfile=[inputfile,'.msh'];
      return
    end
    error('Unable to find file %s!',inputfile);
  end
  %env=fc_oogmsh.environment;
  % pathstr is empty
  if ~isempty(ext)
    if strcmp(ext,'.geo')
      fullfiles=fc_oogmsh.find_geo(inputfile);
      assert(~isempty(fullfiles),'Unable to find geofile %s',inputfile)
      inputfile=fullfiles{1};
      if ~fc_tools.sys.isfileexists(inputfile),error('file %s not found!',inputfile);else return;end
    elseif strcmp(ext,'.msh')
      inputfile=[meshdir,filesep,inputfile];
      if ~fc_tools.sys.isfileexists(inputfile),error('file %s not found!',inputfile);else return;end
    else
      error('Input must be .geo or .msh file!');
    end
  end
  fullfiles=fc_oogmsh.find_geo(inputfile);
  if ~isempty(fullfiles), inputfile=fullfiles{1};return;end
  inputfile=[meshdir,filesep,inputfile,'.msh'];
  if ~fc_tools.sys.isfileexists(inputfile),error('file %s not found!',inputfile);else return;end
end
