function uninstall(varargin)
% 'mfile' 
% install('name','eigs')
  assert(nargin>=2)
  p = inputParser; 
  p.addParamValue('name', '', @ischar );
  p.addParamValue('verbose',false, @islogical );
  p.addParamValue('full',false, @islogical ); % suppress addon <name> directory
  p.parse(varargin{:});
  R=p.Results;
  isOctave=fc_tools.comp.isOctave();
  try
    eval(sprintf('ver=fc_vfemp1.addon.%s.version();',R.name))
  catch
    fprintf('[fc-vfemp1] addon <%s> not found!\n',R.name)
    return
  end
  
  fullname=mfilename('fullpath');
  I=strfind(fullname,filesep);
  Path=fullname(1:(I(end)-1));
  filename=[Path,filesep,R.name,'-filelist'];
  eval(sprintf('dirname=fc_vfemp1.addon.%s.path();',R.name))
  if ~exist(filename,'file')
    fprintf('[fc-vfemp1] Missing file for uninstalling addon <%s>:\n   -> %s\n',R.name,filename)
    return
  end
  if ~R.full
    fprintf('[fc-vfemp1] Deleting installed files for uninstalling addon <%s>\n',R.name)
    P=fc_vfemp1.path();
    fid=fopen(filename,'r');
    while 1
      tline=fgetl(fid);
      if ~ischar(tline), break,end
      if R.verbose, fprintf('   -> %s\n',tline);end 
      if tline(1)==filesep, fullfile=tline;else, fullfile=[P,filesep,tline];end
      if ~fc_tools.sys.isfolder(fullfile), delete(fullfile);end
    end  
    fclose(fid);
    if R.verbose, fprintf('   -> %s\n',filename);end      
    delete(filename)
    if R.verbose, fprintf('[fc-vfemp1] Directory not deleted:\n   -> %s\n',dirname);end
  else
    fprintf('[fc-vfemp1] Uninstalling addon <%s> by deleting directory:\n   -> %s\n',R.name,dirname);
    rmdir(dirname,'s');
  end
end
