function alldemos(varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('stop',true,@islogical);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('small',false,@islogical);
  p.addParamValue('pause',2,@isscalar);
  p.addParamValue('dir','./figures',@ischar);
  p.parse(varargin{:});
  stop=p.Results.stop;
  dir=p.Results.dir;ptime=p.Results.pause;
  small=p.Results.small;
  if exist(dir)==0,mkdir(dir);end
  assert(fc_tools.sys.isfolder(dir),'Not a folder: %s',dir)
  SaveOptions={'format','png', 'dir',dir,'tag',true,'verbose',true};

  List={'Poisson.BVPPoisson2D_ex01','Poisson.BVPPoisson2D_ex02', ...
        'Poisson.BVPPoisson2D_ex03','Poisson.BVPPoisson3D_ex01', ...
        'BVPCondenser2D01','BVPElectrostatic2D01','BVPfunny2D01', ...
        'elasticity.BVPElasticity2D_ex01', 'elasticity.BVPElasticity2D01', ...
        'elasticity.BVPElasticity3D01', ...
        'BVPStationaryConvectionDiffusion2D01', 'BVPStationaryConvectionDiffusion3D01', ...
        'BVPStationaryConvectionDiffusion3D02', ...
        'HeatAndFlowVelocity.BVPHeatAndFlowVelocity2D01', 'HeatAndFlowVelocity.BVPHeatAndFlowVelocity2D02', ...
        'HeatAndFlowVelocity.BVPHeatAndFlowVelocity3D01', 'HeatAndFlowVelocity.BVPHeatAndFlowVelocity3D02' ...
        };
  nL=length(List);
  if small
    idx = randperm(nL);
    List={List{idx(1:5)}}; % choose randomly 5 examples
    nL=length(List);
  end
  valid=ones(1,nL);
  for i=1:nL
    command=sprintf('fc_vfemp1.examples.%s',List{i});
    fprintf('\n\n[fc-vfemp1] Demo %d/%d\n',i,nL); 
    fprintf('[fc-vfemp1] Running %s\n',command)
    try 
      eval(command)
    catch
      valid(i)=0;
      if stop
        error('[fc-vfemp1] Stop! running %s FAILED!\n',command)
      else
        warning('[fc-vfemp1] Running %s FAILED!\n',command)
        
      end
    end
    if ptime>0, fprintf('*** Waiting %g seconds\n',ptime);pause(ptime);end
    if p.Results.save
      fc_tools.graphics.SaveAllFigsAsFiles(strrep(List{i},'.','-'),SaveOptions{:})
      %fprintf('Waiting 5s...')
      %pause(5)
    end
  end
  strRes={'FAILED','OK'};
  fprintf('[fc-vfemp1] alldemos RESUME:\n');
  for i=1:nL
    fprintf('[fc-vfemp1] fc_vfemp1.examples.%s:\n              -> %s\n',List{i},strRes{valid(i)+1});
  end
  if nargout==1,varargout{1}=all(valid==1);end
  close all
end
